.vh-100{
    height: 100vh;
}
:root{
    --main-color: rgba(0,72,77,1);
}
.login-container{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40pt 30pt;
    flex-direction: column;
    width: 255pt;
}
form input{
    border-radius: 2px;
    text-shadow: none;
    border: 1px solid black;
    padding: 8px 16px;
}
.needs-validation{
    display: flex;
    flex-direction: column;
}
.items-container{
    display: flex;
    flex-wrap: wrap;
}
.minus-button{
    background-color: darkgrey;
    padding: 0 15px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
    height: 25px;
    justify-content: center;
}
.add-button{
    background-color: darkgrey;
    padding: 0 15px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;

}
.delete-img{
    cursor: pointer;
    width: 16px;
}
.cart-container{
    height: 75vh;
    padding-top: 16px;
    position: fixed;
    left: 65.28%;
    right: 3.12%;
    top: 17.39%;
    bottom: 14.54%;
    border: 1px solid #CE0F0F;
    text-align: center;
    background: #FFFFFF;
    border-radius: 10px;
    padding-left: 15px;
    padding-right: 15px;
}
#cart{
    overflow-y: scroll;
    height: 65%;
    padding-right: 15px;
}
#cart::-webkit-scrollbar{
    width: 5px;

}
#cart::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
#cart::-webkit-scrollbar-thumb:hover {
  background: #555;
}
.toPay{
    display: flex;
    align-items: center;
    border-top: 1px solid black;
}
.count{
    font-size: 2rem;
    font-weight: bold;
}
.toPay p{
    margin-bottom: 0;
}
.btn-pay{
    width: 100%;
    background: #CE0F0F;
border-radius: 10px;
    color: white;
}
.btn-delete{
    border:1px solid #CE0F0F;
    border-radius: 10px;
    background-color: inherit;
        width: 100%;
}
.category-carousel{
    font-size: 1rem;
    margin-bottom: 2rem;
    overflow-x: auto;
    margin-left: auto;
    margin-right: auto;
    display: flex;
}
.cart-item-title{
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    margin: 0;
    text-align: start;
}
.card-title{
    font-weight: bold;
    margin-bottom: 0;
    color: var(--main-color)
}
.card-img-top{
    border-top-left-radius: calc(.5rem - 1px);
    border-top-right-radius: calc(.5rem - 1px);
    width: 100%;
    height: 250px;
     object-fit: cover;
}
.card-text-value{
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
}
.card-body{
    padding: 5px 0.5rem;
}
.card{
     border-radius: calc(.5rem - 1px);
    cursor: pointer;
    height: 100%;
    width: 100%;
}
.card-container{
    padding: 0 5px;
    margin-top: 10px;
}
p{
    margin:0;
}
a{
    color: inherit;
}
a:hover{
    color: inherit;
    text-decoration: none;
}
.carousel-div{
    height: 100%;
    display: flex !important;
    justify-content: center;
}
.carousel-slider img{
    width: 100%;
}
.slick-arrow.slick-disabled {
  display: none !important;
}
.prev{
    display: block;
  position: absolute;
  z-index: 1000;
  top:0;
    left: 50%; /* position the left edge of the element at the middle of the parent */
    background: inherit;
    color: black;
    border: none;
    font-size: 50px;
    transform: translate(-50%, 0);

}
.border-round{
     border-radius: calc(.5rem - 1px);
}

.next{
      display: block;
  position: absolute;
  z-index: 1000;
  bottom:0;
    left: 50%;
    background: inherit;
    color: black;
    border: none;
    font-size: 50px;
    transform: translate(-50%, 0);

}
.slick-current{
    border-radius: calc(.75rem - 1px);
    box-sizing: border-box;
    width: 100% !important;
}
  .slick-slide {
    margin: 5px 0;
  }
  .slick-slide:focus, a {
    outline: none;
  }
.item-description{
    height: auto
}
.item-description h4{
    color: rgba(0,72,77,1);
}
.category{
    padding: 5px 15px;
    border-radius: 25px;
    background-color: #ffc107;
    color: white;
    height: auto;
    width: auto;
}
.category-active{
    background-color: #CE0F0F;
    color: white !important;
}
.error{
    color: red !important;
}

#slider-nav img{
    max-height: 105px;
}
#slider1 img{
    max-height: 330px;
}

.item-description-text{
    word-wrap:break-word;
    height: 100px;
    color: gray;
}
.item-description-content{
    display: flex;
    justify-content: space-between;
    color: gray;
}
.price{
    color: #ffc107;
}
.item-extra-content{
      display: flex;
  align-items: baseline;
}
.item-extra-content span {
  flex: 1;
  border-bottom: 2px dotted #333;
  }
.navbar{
    background-color: var(--main-color);
    height: auto;
}
.logo{
   margin-left: auto;
    margin-right: auto;
}
.logo img{
    width: 100px;
}
.similar{
    display: flex;
}
.signin{
    float: right;
    display: inline-flex !important;
}
.signin a{
    border-radius: 25px;
    background-color: white;
    margin-right: 5px;
    color: var(--main-color) !important;
    padding-left: 15px !important;
    padding-right: 15px !important;
}
@media (max-width: 1000px) {
    .container-fluid{
        padding: 0;
    }
    .card-text-key{
        display: none;
    }
    .signin a{
        margin-top: 10px;
    }
    .similar{
        overflow: auto;
    }
}
@media (min-width:434px) and (max-width: 1000px) {
    header h1 { font-size: 30px; }

}
@media (max-width: 434px) {
    header h1 { font-size: 25px; }
}
